For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
              • GETList Shopper Profiles in Segment
              • POSTAdd Shopper Profiles to Segment
              • DELRemove Shopper Profiles from Segment
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomer SegmentationShopper Profiles for a Segment

Remove Shopper Profiles from Segment

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/segments/:segmentId/shopper-profiles
DELETE
/stores/:store_hash/v3/segments/:segmentId/shopper-profiles
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v3/segments/segmentId/shopper-profiles \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"

Remove one or more Shopper Profiles that are associated with a Segment. This operation only removes the association; it doesn’t delete the Shopper Profiles.

Was this page helpful?
Previous

Add Shopper Profiles to Segment

Next

Geography

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only

NOTE: GET endpoints require only read-only permission, except for the Get All Shopper Profiles in a Segment endpoint which requires modify permission.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

segmentIdstringRequiredformat: "uuid"

The Segment ID.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

id:inlist of stringsOptional
Comma separated IDs.

Response

An empty response.